%define upstream_name	 App-Info
%define upstream_version 0.57

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Information about software packages on a system
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.270.100
BuildRequires: perl(Test::More) >= 0.170.0
BuildRequires: perl-Module-Build
BuildRequires: apache
BuildRequires: postgresql-devel
BuildRequires: sqlite3-devel
BuildRequires: sqlite3-tools
BuildArch:  noarch

%description
App::Info provides a generalized interface for providing metadata
about software packages installed on a system. The idea is that
App::Info subclasses can be used in Perl application installers in
order to determine whether software dependencies have been fulfilled,
and to get necessary metadata about those software packages.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%check
./Build test

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.json META.yml
%{perl_vendorlib}/App
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.570.0-2.mga3
+ Revision: 363076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 21 2011 jquelin <jquelin> 0.570.0-1.mga2
+ Revision: 111400
- update to 0.57

* Fri Feb 25 2011 jquelin <jquelin> 0.560.0-1.mga1
+ Revision: 59614
- update to 0.56

* Sat Jan 22 2011 jquelin <jquelin> 0.550.0-2.mga1
+ Revision: 32720
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.550.0-1.mga1
+ Revision: 29788
- mageia rebuild
- imported package perl-App-Info

